<?php

/**
 * @file
 * Implementation of hook_panels_layouts
 */
function scienceworldat_three_15_60_25_panels_layouts() {
  $items['three_15_60_25'] = array(
    'title'    => t('AT Three column 15/60/25'),
    'category' => t('AT Responsive Panels - 3 column'),
    'icon'     => 'three_15_60_25.png',
    'theme'    => 'three_15_60_25',
    'admin css' => 'three_15_60_25.admin.css',
    'theme arguments' => array('id', 'content'),
    'regions' => array(
      'three_15_60_25_top'    => t('Top (conditional)'),
      'three_15_60_25_first'  => t('Left'),
      'three_15_60_25_second' => t('Center'),
      'three_15_60_25_third'  => t('Right'),
      'three_15_60_25_bottom' => t('Bottom (conditional)'),
    ),
    // AT Core
    'type' => 'three',
    'options' => array(
      'three-15_60_25' => 'default',
      'three-15_60_25-stack-bottom' => 'stack bottom',
      'three-15_60_25-stack-top' => 'stack top',
      'three-15_60_25-stack' => 'stack',
    ),
    'styles' => array(
      'three-15_60_25' => array(
        'css' => array(
          '15' => array('.three-15_60_25 > div.region-three-15_60_25-first' => 'width:15%'),
          '25' => array('.three-15_60_25 > div.region-three-15_60_25-third' => 'width:25%'),
          '60' => array('.three-15_60_25 > div.region-three-15_60_25-second' => 'width:60%'),
        ),
      ),
      'three-15_60_25-stack-bottom' => array(
        'css' => array(
          '15' => array('.three-15_60_25 > div.region-three-15_60_25-first' => 'width:15%'),
          '85' => array('.three-15_60_25 > div.region-three-15_60_25-second' => 'width:85%'),
          'fdw' => array('.three-15_60_25 > .region-three-15_60_25-third' => 'float:none;display:block;width:100%;clear:both'),
        ),
      ),
      'three-15_60_25-stack-top' => array(
        'css' => array(
          'fdw' => array('.three-15_60_25 > .region-three-15_60_25-first' => 'float:none;display:block;width:100%;clear:both'),
          '85' => array('.three-15_60_25 > div.region-three-15_60_25-second' => 'width:85%'),
          '25' => array('.three-15_60_25 > div.region-three-15_60_25-third' => 'width:25%'),
        ),
      ),
      'three-15_60_25-stack' => array(
        'css' => array(
          'fdw' => array('.three-15_60_25 > .region' => 'float:none;display:block;width:100%;clear:both'),
        ),
      ),
    ),
  );

  return $items;
}

/**
 * Preprocess variables for three-15_60_25.tpl.php
 */
function template_preprocess_three_15_60_25(&$vars) {
  $vars['panel_prefix'] = '';
  $vars['panel_suffix'] = '';
}
